安装Pod时提示ERROR: While executing gem ... (Errno::EPERM) Operation not permitted - /usr/bin/pod

2016-10-12 08:20:54来源:CSDN作者:u014599371人点击

第七城市

环境:OSX EI 10.11.1

昨天切换gem源后,招待pod安装没有任何问题,也可以正常用$ gem sources --add https://ruby.taobao.org/ --remove https://rubygems.org/$ sudo gem install cocoapods今天再使用的时候,在一个项目下执行pod install时半天死活没反应,无奈就ctrl+c了强制退出了。然后再执行的时候就出现错误:

Library/Ruby/Site/2.0.0/rubygems/dependency.rb:318:in `to_specs': Could not find 'cocoapods' (>= 0) among 33 total gem(s) (Gem::LoadError)
Checked in 'GEM_PATH=/Users/xianlong/.gem/ruby/2.0.0:/Library/Ruby/Gems/2.0.0:/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/gems/2.0.0', execute `gem env` for more information
from /Library/Ruby/Site/2.0.0/rubygems/dependency.rb:327:in `to_spec'
from /Library/Ruby/Site/2.0.0/rubygems/core_ext/kernel_gem.rb:64:in `gem'
from /usr/local/bin/pod:22:in `<main>'

 

分析可能是因为强制退出程序导致的配置被损坏。于是把pod卸载,重新安装后就ok了。

卸载Pod:

step1:

which pod: 查看pod命令所在路径,比如为/usr/local/bin/pod,然后执行 rm -rf /usr/local/bin/pod 将pod命令移除

 

step2:

执行gem list | grep cocoapods  查看所有与cocoapods相关的已安装的组件,然后挨个卸载

我这里的执行结果是:

cocoapods-core (0.39.0)

cocoapods-downloader (0.9.3)

cocoapods-plugins (0.4.2)

cocoapods-search (0.1.0)

cocoapods-stats (0.6.2)

cocoapods-trunk (0.6.4)

cocoapods-try (0.5.1)

 

然后我就挨个执行:

gem uninstall cocoapods-core

gem uninstall cocoapods-downloader

gem uninstall cocoapods-plugins

gem uninstall cocoapods-search

gem uninstall cocoapods-stats

gem uninstall cocoapods-trunk

gem uninstall cocoapods-try

 

step3: 重新安装pod

执行sudo gem install cocoapods, 提示出错:While executing gem ... (Errno::EPERM)     Operation not permitted - /usr/bin/pod

在命令中指定安装到/usr/bin/pods下即可正常安装成功:

sudo gem install -n /usr/local/bin  cocoapods 

安装成功,

 

step4: 查看新安装的pod版本:

pod --version

0.39.0

 

 

 

 

允许转载,麻烦注明出处:http://www.cnblogs.com/hanxianlong
第七城市

最新文章

123

最新摄影

微信扫一扫

第七城市微信公众平台